[virt-install] Conflicts with virt-manager which comes from Arch
2018-12-25 09:15 AM - grizzlyuser

Status: fixed % Done: 100%
Priority: bug

Assignee: ovruni

Category:

Description

It seems Arch rebuilt community/virt-manager package, and I'm getting the following errors when issuing 'sudo pacman -Syu':

error: failed to commit transaction (conflicting files)

virt-manager: /usr/share/appdata/virt-manager.appdata.xml exists in filesystem (owned by virt-install)
virt-manager: /usr/share/applications/virt-manager.desktop exists in filesystem (owned by virt-install)
virt-manager: /ust/share/glib-2.0/schemas/org.virt-manager.virt-manager.gschema.xml exists in filesystem (owned by virt-install)
virt-manager: /usr/share/icons/hicolor/16x16/apps/virt-manager.png exists in filesystem (owned by virt-install)
virt-manager: /usr/share/icons/hicolor/22x22/apps/virt-manager.png exists in filesystem (owned by virt-install)
virt-manager: /usr/share/icons/hicolor/24x24/apps/virt-manager.png exists in filesystem (owned by virt-install)
virt-manager: /usr/share/icons/hicolor/256x256/apps/virt-manager.png exists in filesystem (owned by virt-install)
virt-manager: /usr/share/icons/hicolor/32x32/apps/virt-manager.png exists in filesystem (owned by virt-install)
virt-manager: /usr/share/icons/hicolor/48x48/apps/virt-manager.png exists in filesystem (owned by virt-install)
virt-manager: /usr/share/man/man1/virt-manager.1.gz exists in filesystem (owned by virt-install)

Errors occurred, no packages were upgraded.

They also made changes to PKGBUILD of community/virt-install and rebuilt the package, so those changes can be used for
reference.

History

#1 - 2018-12-25 04:00 PM - bill-auger
- Assignee set to ovruni
which package do you actually have installed? 'virt-manager' or 'virt-install' or both?
FWIW, 'virt-manager' is the arch package and 'virt-install' is on the blacklist and rebuilt in [libre]
$ pacman -Ss virt-manager
community/virt-manager 2.0.0-2
Desktop user interface for managing virtual machines
$ pacman -Ss virt-install
libre/virt-install 2.0.0-1.parl
Console user interface for managing virtual machines, without non-FSDG compliant distros and operating sys

tems support

virt-install:virt-install:parabola:1130: [uses—nonfree] contains non-FSDG compliant distros and operating syste
ms support

the above is referring to issue #1130

When messing with OS type and version, many non-FSDG compliant GNU/Linux distributions (like Ubuntu 16.04) and
operating system (Microsoft Windows 10) are shown.

it seems that 'virt-manager' is the GUI and 'virt-install' is the CLI to the same underlying program and both 'virt-manager' and 'virt-install' are built from
the same source; so it is not clear why only 'virt-install' is on the blacklist

the parabola PKGBUILD, builds both front-ends and then deletes /usr/bin/virt-manager from the package

also, i should add that the FSDG does not require removing "support" for non-free software as the blacklist wording indicates - it just requires that
non-free softwares are not provided or suggested - i.e. if 'virt-install' itself is freely distributable and does not require or suggest any non-free software
in order to be useful, then there is no imperative for parabola to patch it

s0, i think the important question is: "does the 'virt-manager' or 'virt-install' arch packages still suggest ubuntu and windows?" - if so, then

'virt-manager' probably should be patched also - if not then 'virt-install' can be removed from the blacklist - in any case, i suspect that both front-ends
suggest (or not) the same things; so its not clear why they should be treated differently as they are now
https://labs.parabola.nu/issues/1130

#2 - 2018-12-25 05:28 PM - ovruni
- % Done changed from 0 to 100

- Status changed from open to fixed

#3 - 2018-12-26 11:26 AM - grizzlyuser

ovruni, thank you! The issue looks fixed to me. | was able to upgrade all the packages, add new VM using 'virt-manager' and start it successfully.

bill-auger wrote:
which package do you actually have installed? 'virt-manager' or 'virt-install' or both?

FWIW, 'virt-manager' is the arch package and 'virt-install' is on the blacklist and rebuilt in [libre]

| have x86_64 community/virt-manager and libre/virt-install both installed. 'virt-install' is required by 'virt-manager'. | knew about virt-install being
blacklisted, please excuse me for not mentioning this in the first place :).

Regarding your last question, it also can be possible that 'virt-manager' in this case works like a front-end to 'virt-install'. If that's the case, only
'virt-install' needs patching.

Currently, with patched 'virt-install', 'virt-manager' seems to not provide suggestions for non-free OSs. | tested this by downloading Ubuntu 18.04.1
ISO and trying to create a new VM with it. 'virt-manager' doesn't automatically detect it as Ubuntu, so | needed to uncheck 'Automaticaly detect from
the installation media / source' box and type 'Generic default' in to the text field above which got unlocked. When the user starts typing, the dialog
provides suggestions, and | wasn't able to get any suggestions except 'Generic default (generic)' when started to type 'Windows' or 'Ubuntu’ or name
of any other popular GNU/Linux distro | know. Without 'Generic default' entered, the dialog doesn't allow to proceed to the next step. It shows an error
message 'You must select an OS' with further explanation, unless 'Generic default' is selected.

It seems this functionality of 'virt-manager' is intended to detect the OS from the media, and provide optimal preset for it (or let the user to select
different preset). With patched 'virt-install', these configurations are not available, but it's still possible to create a VM with 'Generic' configuration and
fine tune it later. Which is totally fine IMO.

If there's anything left unanswered in this discussion, | suggest to move to a mailing list, because the issue ticket is marked as fixed and probably
nobody else is gonna look into it.

#4 - 2018-12-30 03:04 PM - bill-auger
strictly speaking, if all the program did was detect the presence of something the user supplied that did not come from parabola, then that could
probably stay - those are probably just static config files, not actually software

the key concern is that parabola does not distribute, or assist, or recommend, or suggest that the user acquires any external software - in fact it is
strongly recommended not to - as long as there is nothing so obvious as a prominent menu or button to recommend or assist downloading non-free
software, then the existing patches are adequate
